WordPress.org

Support

Support » Plugins and Hacks » metar-widget » [Resolved] [Plugin: metar-widget] Can't activate plugin

[Resolved] [Plugin: metar-widget] Can't activate plugin

Viewing 7 replies - 1 through 7 (of 7 total)
  • I just discovered it’s the pgi inventory plugin that’s doing it. It works again once I deactivate it. Any idea what could be causing it or how I can fix it?

    Plugin Author mcantsin

    @mcantsin

    It looks like there is a conflict with another plugin you are using. Try to rename the function in line 62, which might work…

    Let me know if you could debug it, so I will consider fixing it in the next release.

    I was having the same problem. Got if fixed by this below:

    Changes on the line 62 from add_action("widgets_init", function () { register_widget("MetarWidget"); });

    to: `add_action(‘widgets_init’, register_metarwidget’);
    function register_metarwidget() {
    register_widget(“metarwidget”);
    }`

    Plugin Author mcantsin

    @mcantsin

    Thanks, Ivan.
    Applied your fix and submitted the corrected file.

    Plugin Author mcantsin

    @mcantsin

    *solved*

    yes, I fixed it by changing the last line to:

    add_action( ‘widgets_init’, create_function( ”, ‘register_widget( “MetarWidget” );’ ) );

    I’m trying to format the function so it looks like other widgets with a title, etc. now.

    Plugin Author mcantsin

    @mcantsin

    Thanks. – Will look into it as soon as I find time.

    Meanwhile kind regards

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Resolved] [Plugin: metar-widget] Can't activate plugin’ is closed to new replies.
Skip to toolbar